## lens-cover-reminder-sp 0.1

=== Makefile ===
SUBDIRS = src
HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
BUILDDIR=build
SP_LIB=lens-cover-reminder-sp.so
DATA_FILE_SP=lens-cover-reminder-sp.desktop
IMAGE_PATH=/usr/share/icons/hicolor/18x18/hildon/

all: create_builddir subdirs

install: all
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(SP_LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_SP) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/statusarea_lens_cover_reminder.png $(DESTDIR)/$(IMAGE_PATH)


subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:  
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean);done

=== src/Makefile ===
OBJS=lens-cover-reminder-sp.o
SOURCES=lens-cover-reminder-sp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/lens-cover-reminder-sp.so
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@


.PHONY: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
lens-cover-reminder-sp (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 12 May 2010 00:09:23 +0200

=== debian/control ===
Source: lens-cover-reminder-sp
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, mce-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: lens-cover-reminder-sp
Architecture: any
Depends: ${shlibs:Depends}
Description: Reminds you of the open lens
 Shows a little statusbar icon while the lens
 is open and vibrates on screen lock
XB-Maemo-Display-Name:Lens Cover Reminder
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oFCxcRDCOWR1YAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAB+ElEQVRo3u1YzUoCURT+roWLhAG9KJQLhd7A3iGYTbtoEUQv
 UNAi3V7xAVoWufcRbNkT1As4C0FsZX+kUPnztRhERycarbE7zBw4XLiXmbnf
 991zzj0DRPa/Jlb9QaVAAIjHDWxvX+4cHBzeB4oxpcBuFx8kWC6Dpmmy1WoV
 ArF5y7L2lAJJ2zsdUEqwWCwyMOx3OhMAJKgUmEqlaFnW0TLvjK2Q/X0AkBK4
 uQGEsMfTU0CIJ1Sr1XPt2X95AXs9sF4HAXucVkF7AKQNIpGwAQDOWCiVStT+
 7L++gpmME8BMLCjdMk9hOvOMRpPNTwPQVgW3zFOvT/ybjLSrC/vH0+yPfTCY
 3/yMCrdaACiXS3PsjxXI5dxBKAVK6b0u+FoHYrFrSOm+9v7uPn9yAvT7mtQF
 t+Pzk3e7oGGAyWTSUzZa9xtEpSIxGj3Oza+tAcOh+zNvb8DGxqceWajRaGya
 pnlnGAa9ejqdZq1Wu4q6ncgiW6Inpn1H0WmDQouGxi9b1+Z3xfxJ0KulXLkC
 izLhNdja7TYAYCt55lh/eL4AAGSzWT2bet8ujIswKIIMIHB1QMzEgPhlTCyq
 HkNfB/xrcuw+JZ/PO+abzaZjPTQxsHIFxszPKhDaLBQBCEwM/NWdaJxtvM5H
 lfi/+4HwVmIGBEDgFYgssrDbF6jviVBB7BI9AAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/lens-cover-reminder-sp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lens-cover-reminder-sp 0.2

=== debian/changelog ===
lens-cover-reminder-sp (0.2) unstable; urgency=low

  * changed the app-icon (XB-Maemo-Icon)

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 16 May 2010 22:18:02 +0200

=== debian/control ===
Source: lens-cover-reminder-sp
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, mce-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: lens-cover-reminder-sp
Architecture: any
Depends: ${shlibs:Depends}
Description: Reminds you of the open lens
 Shows a little statusbar icon while the lens
 is open and vibrates on screen lock
XB-Maemo-Display-Name:Lens Cover Reminder
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oFEBQRBzEa8BkAAADDSURBVGje7ZixDcIwEAADYgFa3LjxVNQMwALI
 YoEMQJ2GjZAbN6alo4UGWY7yQgLFhIe7Jh/ZivP6yydO0wAAAAAATMXscbxp
 vf+59gosemeb/WdWPexGu5T6CvyYQgXr66naol0Rp5RyvFpuB3PPlzbHxhgU
 0qNQiXMuxyEEKkACrypUE6mz9DmiEAo9w3ufY2vtYDzGKM5FIRQStJEU4kVG
 AiTw5Q9x2effGUchFQrV3MRInwd0IU3wbxSF/j0BmJo7rOAhKl3due8AAAAA
 SUVORK5CYII=
 ====

## lens-cover-reminder-sp 0.3

=== debian/changelog ===
lens-cover-reminder-sp (0.3) unstable; urgency=low

  * changed the icon again
  * changed bugtracker

 -- Nicolai Hess <nicolaihess@web.de>  Tue, 18 May 2010 00:52:23 +0200

=== debian/control ===
Source: lens-cover-reminder-sp
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, mce-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: lens-cover-reminder-sp
Architecture: any
Depends: ${shlibs:Depends}
Description: Reminds you of the open lens
 Shows a little statusbar icon while the lens
 is open and vibrates on screen lock
XB-Maemo-Display-Name:Lens Cover Reminder
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1611
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oFERYoMtIVCosAAADcSURBVGje7Zi9CsIwFEZvpXPA1SlLyOriUwQh
 u0/hk/gqBclTuLhqlkyuQgbXdguhDYJi1Kvfmb6S0PSS09sfIgAAAAAAwJZG
 a91zLqAlIhJCsLz4GCPNuCvU5geH5foti66O+5edi/0O/JZCOZvbqdqi5yx3
 XZfyYr6dzL1cdylba6EQH4VylFIpe++xAyjgUYVqUuosoxlQCArdwxiTspRy
 Mh5CSNk5B4Wg0Jhcm5JCeJChABTw5Tdx3uefGYdCLBSq+RFTej1AF+JEo7Xu
 8W8UCv17G40xEvgQA+gnLQnOJA+wAAAAAElFTkSuQmCC
 ====

## lens-cover-reminder-sp 0.4

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,32 @@
-SUBDIRS = src
+SUBDIRS = src src_cp
 HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
 HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
+HILDON_CONTROL_PANEL_LIB_DIR=$(shell pkg-config hildon-control-panel --variable=pluginlibdir)
+HILDON_CONTROL_PANEL_DATA_DIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)
 BUILDDIR=build
 SP_LIB=lens-cover-reminder-sp.so
+CP_LIB=lens-cover-reminder-cp.so
 DATA_FILE_SP=lens-cover-reminder-sp.desktop
+DATA_FILE_CP=lens-cover-reminder-cp.desktop
 IMAGE_PATH=/usr/share/icons/hicolor/18x18/hildon/
-
+CONTROL_PANEL_IMAGE_PATH=/usr/share/icons/hicolor/48x48/hildon/
 all: create_builddir subdirs
 
 install: all
 	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
 	install -m 644 $(BUILDDIR)/$(SP_LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
-	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
 	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
 	install -m 644 data/$(DATA_FILE_SP) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
+	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
+	install -m 644 data/$(DATA_FILE_CP) $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
+	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
+	install -m 644 $(BUILDDIR)/$(CP_LIB) $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
 	install -d $(DESTDIR)/$(IMAGE_PATH)
 	install -m 644 data/statusarea_lens_cover_reminder.png $(DESTDIR)/$(IMAGE_PATH)
+	install -d $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)
+	install -m 644 data/lens-cover-reminder-setup.png $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)
+
+
 
 
 subdirs: $(SUBDIRS)

=== src/Makefile ===


=== src_cp/Makefile ===
OBJS=lens-cover-reminder-cp.o
SOURCES=lens-cover-reminder-cp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/lens-cover-reminder-cp.so
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@


.PHONY: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
lens-cover-reminder-sp (0.4) unstable; urgency=low

  * added LED notification
  * control panel plugin to configure
  * notification pattern (LED and Vibrator) and automatic
    screenlock 

 -- Nicolai Hess <nicolaihess@web.de>  Sat,  5 Jun 2010 23:59:23 +0200

lens-cover-reminder-sp (0.3.1) unstable; urgency=low

  * expermintal feature: screenlock by closing the lenscover

 -- Nicolai Hess <nicolaihess@web.de>  Tue, 18 May 2010 23:23:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lens-cover-reminder-sp
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, mce-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, mce-dev, hildon-control-panel-dev, libosso-dev
 Standards-Version: 3.7.2
 Section: user/desktop

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
+#	dh_installdocs
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
